Subject: Re: [PATCH] bisect: revise manpage

From: Matthieu Moy <[email-masked]>
Date: Fri, 26 Jun 2015 14:50:16 +0200

Michael Haggerty <[email-masked]> writes:

> * Remove the "Look for a fix instead of a regression in the code"
>   example, as (1) it was in the "git bisect run" section, but it
>   doesn't use that command, and (2) I think this usage is adequately
>   explained in the "Alternate terms" section.
[...]
> -* Look for a fix instead of a regression in the code
> -+
> -------------
> -$ git bisect start
> -$ git bisect new HEAD    # current commit is marked as new
> -$ git bisect old HEAD~10 # the tenth commit from now is marked as old
> -------------
> -+
> -Let's consider the last commit has a given property, and that we are looking
> -for the commit which introduced this property. For each commit the bisection
> -guide us to, we will test if the property is present. If it is we will mark
> -the commit as new with 'git bisect new', otherwise we will mark it as old.
> -At the end of the bisect session, the result will be the first new commit (e.g
> -the first one with the property).

I disagree with this one: it's in the example section, not bisect run.
The other explanations are nice, but never show the full sequence of
commands so I think an example to sum up does help.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/